<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.watermeter.mapper.QfcbcbbbmMapper">

    <resultMap id="qfcbcbbbmMap" type="com.tofly.watermeter.entity.Qfcbcbbbm">
        <id property="cbbbm" column="CBBBM"/>
        <result property="cbbmc" column="CBBMC"/>
        <result property="cbdz" column="CBDZ"/>
        <result property="cbry" column="CBRY"/>
        <result property="cbpq" column="CBPQ"/>
        <result property="createCzrq" column="CREATE_CZRQ"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="yxbz" column="YXBZ"/>
        <result property="bz" column="BZ"/>
        <result property="cbzq" column="CBZQ"/>
        <association property="cbpqName" column="CBPQ"
                     select="getCbpqName"/>
<!--        <association property="createUserName" column="CREATE_USER"-->
<!--                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"></association>-->
    </resultMap>
<select id="getCbpqName" resultType="string">
    select PQMC from TF_YWPN_QFCBCBPQ_W where PQBM = #{cbpq}
</select>

</mapper>
